---
updatedAt: 2026-06-02T21:08:59.000Z
agentTools:
  projectIndex: https://docs.bridgeft.com/llms.txt
---

# Remove an Advisor Code

Returns the "OK" message and a json object with the id the advisor codes removed, if deletion was successful

**Note for Advisor Code Mapping in Sandbox Applications**
To preserve the data integrity of sandbox applications, the advisor code mapping endpoints are read-only
and requests for creation or deletion of advisor codes will not result in updates to advisor code mappings.
Sandbox applications can read advisor codes from the `/v2/org/advisor-codes` endpoint, but the changes will not
be reflected upon updates.

For production applications, full access is granted to the advisor code mapping endpoints. Creations and removals
of advisor codes will be applied to the advisor codes mapped to the application.


# OpenAPI definition

```json
{
  "openapi": "3.0.3",
  "info": {
    "title": "Wealthtech API",
    "description": "RESTful API for controlling and interacting with Atlas data",
    "version": "2.6.0"
  },
  "servers": [
    {
      "url": "https://api.bridgeft.com/v2"
    }
  ],
  "x-readme": {
    "explorer-enabled": false,
    "proxy-enabled": true,
    "samples-enabled": true
  },
  "paths": {
    "/org/advisor-codes/{id}": {
      "delete": {
        "tags": [
          "Advisor Codes"
        ],
        "summary": "Remove an Advisor Code",
        "description": "Returns the \"OK\" message and a json object with the id the advisor codes removed, if deletion was successful\n\n**Note for Advisor Code Mapping in Sandbox Applications**\nTo preserve the data integrity of sandbox applications, the advisor code mapping endpoints are read-only\nand requests for creation or deletion of advisor codes will not result in updates to advisor code mappings.\nSandbox applications can read advisor codes from the `/v2/org/advisor-codes` endpoint, but the changes will not\nbe reflected upon updates.\n\nFor production applications, full access is granted to the advisor code mapping endpoints. Creations and removals\nof advisor codes will be applied to the advisor codes mapped to the application.\n",
        "operationId": "deleteAdvisorCode",
        "parameters": [
          {
            "$ref": "#/components/parameters/id"
          }
        ],
        "responses": {
          "200": {
            "$ref": "#/paths/~1billing~1groups~1%7Bid%7D/delete/responses/200"
          },
          "400": {
            "$ref": "#/paths/~1jobs~1/get/responses/400"
          }
        }
      }
    },
    "/jobs/": {
      "get": {
        "tags": [
          "Jobs"
        ],
        "summary": "List all Jobs",
        "description": "Returns a list of jobs",
        "operationId": "getJobs",
        "parameters": [
          {
            "$ref": "#/components/parameters/limit"
          },
          {
            "$ref": "#/components/parameters/page"
          }
        ],
        "responses": {
          "200": {
            "description": "An enveloped list of Jobs",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "object": {
                      "type": "string",
                      "example": "list"
                    },
                    "has_next": {
                      "type": "boolean"
                    },
                    "has_previous": {
                      "type": "boolean"
                    },
                    "current_page": {
                      "type": "integer",
                      "example": 2
                    },
                    "total_pages": {
                      "type": "integer",
                      "example": 5
                    },
                    "page_size_limit": {
                      "type": "integer",
                      "example": 10000
                    },
                    "total_items": {
                      "type": "integer",
                      "example": 50
                    },
                    "data": {
                      "$ref": "#/components/schemas/Jobs"
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "Bad Request",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Error"
                }
              }
            }
          }
        }
      }
    }
  },
  "components": {
    "parameters": {
      "id": {
        "name": "id",
        "in": "path",
        "description": "Unique ID for the object",
        "required": true,
        "schema": {
          "type": "integer"
        },
        "example": 1
      }
    },
    "schemas": {
      "Error": {
        "type": "object",
        "required": [
          "message"
        ],
        "properties": {
          "message": {
            "type": "string"
          },
          "validation_errors": {
            "type": "array",
            "items": {
              "type": "string"
            }
          }
        }
      }
    },
    "securitySchemes": {
      "bearerAuth": {
        "type": "http",
        "scheme": "bearer",
        "bearerFormat": "Bearer"
      }
    }
  },
  "security": [
    {
      "bearerAuth": []
    }
  ]
}
```